#include "vision.h"
#include <bits/stdc++.h>
using namespace std;

vector<int> getVisionPattern1d()
{
    return {1,1,1,2,1,3};
}

int getMove1d(vector<int> v)
{
    if(v.size()==3){
        if(v[0]>v[2]) return 0;
        else return 2;
    }
    if(v.size()==5){
        if(v[0]>v[4]) return 0;
        else return 4;
    }
    if(v.size()==7){
        if(v[1]>v[5]) return 6;
        else return 0;
    }
    return 0;
}

vector<vector<int> > getVisionPattern2d()
{
    return {{2,1,1,1,3},
            {1,1,1,1,1},
            {1,1,2,1,1},
            {1,1,1,1,1},
            {1,1,1,1,2}};
}

pair<int, int> getMove2d(vector<vector<int> > v)
{
    int ful=v.size();
    int hal=v.size()/2;
    for(int i=0;i<ful;i++){
        for(int j=0;j<ful;j++){
            if(v[i][j]>v[hal][hal]) return {i,j};
        }
    }
    return {0,2};
}
